Pages: PreviousFirst...910111213141516171819Next
Current Page: 18 of 19
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: December 02, 2021 11:00AM

Hi,

- update xDebug 3.1.2

Xdebug 3.1.2 is only intended for PHP version 7.2.x to 8.1.x and should not be installed on older versions. This update program will only take PHP 7.2 to 8.1 versions into account.

Xdebug 3 includes major changes in functionality and configuration compared to Xdebug 2.
The primary way how you turn on functionality is through the new xdebug.mode PHP configuration setting.
It is accessible via Left-Click Wampmanager tray icon -> PHP -> PHP Settings -> xdebug.mode
xDebug 3 announcement
xDebug 3 documentation

See the first message for download links

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: December 16, 2021 01:55PM

Hi,

---- Wampserver update 3.2.7
Updates only "Wampmanager", does not add any Apache PHP, MySQL or MariaDB versions. It is a cumulative update. It is not necessary to apply the old updates 3.0.1 to 3.2.6 before applying 3.2.7. There will be no changes to your Apache, PHP, MySQL, MariaDB settings and versions used; your local sites and databases will not be affected. This update is necessary to install the latest Apache, PHP, MySQL or MariaDB addons.

- PHP 7.4.27 32 & 64bit
- PHP 8.0.14 32 & 64bit
- PHP 8.1.1 32 & 64bit

See the first message for download links.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: December 21, 2021 10:06AM

Hi,

- Apache 2.4.52 32 & 64 bit

Important: Before installing Apache 2.4.52, Wampserver 3.2.7 update is necessary. It is also essential to have previously installed the Visual C ++ Redistributable Packages VC 2015-2022 (VS17) 14.30.30704 or more.

Changelog

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: December 27, 2021 01:16PM

Hi,

- PhpSysInfo 3.4.0

See the first message for download links

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: January 04, 2022 02:21PM

Hi,

- Apache 2.4.52fcgi 32 & 64bit

This version integrates the Apache fcgi_module which allows to change the PHP version of each VirtualHost in order to obtain VirtualHosts with different PHP versions

Only on https://wampserver.aviatechno.net

To use another PHP version, of course provided that this version already exists in Wampserver as an addon, simply modify the desired VirtualHost as follows:

By default, a VirtualHost created by Wampserver looks like this:
<VirtualHost *:80>
  ServerName mysite
  DocumentRoot "G:/www/myfolder"
  <Directory "G:/www/myfolder/">
    Options +Indexes +Includes +FollowSymLinks +MultiViews
    AllowOverride all
    Require local
  </Directory>
</VirtualHost>
In order for this VirtualHost to use fcgid_module and another version of PHP, we just need to add seven lines, the first of which defines the version of PHP to be used and, to avoid any error if the fcgid_module is not loaded, we will frame these seven lines with a <IfModule fcgid_module>... </IfModule> structure:
  <IfModule fcgid_module>
    Define FCGIPHPVERSION "7.1.33"
    FcgidInitialEnv PHPRC ${PHPROOT}${FCGIPHPVERSION}
    <Files ~ "\.php$">
      Options +Indexes +Includes +FollowSymLinks +MultiViews +ExecCGI
      AddHandler fcgid-script .php
      FcgidWrapper "${PHPROOT}${FCGIPHPVERSION}/php-cgi.exe" .php
    </Files>
  </IfModule>
This makes the VirtualHost become:
<VirtualHost *:80>
  ServerName mysite
  DocumentRoot "G:/www/myfolder"
  <IfModule fcgid_module>
    Define FCGIPHPVERSION "7.1.33"
    FcgidInitialEnv PHPRC ${PHPROOT}${FCGIPHPVERSION}
    <Files ~ "\.php$">
      Options +Indexes +Includes +FollowSymLinks +MultiViews +ExecCGI
      AddHandler fcgid-script .php
      FcgidWrapper "${PHPROOT}${FCGIPHPVERSION}/php-cgi.exe" .php
    </Files>
  </IfModule>
  <Directory "G:/www/myfolder/">
    Options +Indexes +Includes +FollowSymLinks +MultiViews
    AllowOverride all
    Require local
  </Directory>
</VirtualHost>
That's all!



Edited 3 time(s). Last edit at 01/05/2022 10:54AM by Otomatic.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: January 14, 2022 12:03PM

Hi,


- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: January 18, 2022 07:18PM

Hi,

- MySQL 5.7.37 32 & 64 bit
- MySQL 8.0.28 64 bit

See the first message for download links.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: January 19, 2022 02:38PM

Hi,

- PHP 8.0.15 32 & 64bit
- PHP 8.1.2 32 & 64bit

See the first message for download links.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: January 22, 2022 10:54AM

Hi,

- PhpMyAdmin 5.1.2 - Does not support PHP 5.5, 5.6 and 7.0.
Supported by PHP 7.1, 7.2, 7.3, 7.4, 8.0 and 8.1
This version can be added to an existing version, you will have the choice during the installation.

Download links in the first message.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: January 23, 2022 11:12AM

Hi,

- PhpSysInfo 3.4.1

You are invited to install this version of PhpSysInfo which :
Corrects a defect of comparison of the PHP versions compatible with PhpMyAdmin 5.1.2.

See the first message for download links

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: January 24, 2022 10:12AM

Hi,

Update Aestan Tray Menu 3.2.4.3 (wampmanager.exe)

Windows 11 stability fixes
Fixes Minor Bugs Windows 7/8/8.1/10/11.

It is mandatory to update via the installer: Install Aestran Tray Menu 3.2.4.3

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 04, 2022 10:33AM

Hi,

- update xDebug 3.1.3

Xdebug 3.1.3 is only intended for PHP version 7.2.x to 8.1.x and should not be installed on older versions. This update program will only take PHP 7.2 to 8.1 versions into account.

Xdebug 3 includes major changes in functionality and configuration compared to Xdebug 2.
The primary way how you turn on functionality is through the new xdebug.mode PHP configuration setting.
It is accessible via Left-Click Wampmanager tray icon -> PHP -> PHP Settings -> xdebug.mode
xDebug 3 announcement
xDebug 3 documentation

See the first message for download links

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 11, 2022 11:22AM

Hi,

- PhpMyAdmin 4.9.10 - Does not support PHP 7.1 to 8.1
Last version supported by PHP 5.5 to 7.0

- PhpMyAdmin 5.1.3 - Does not support PHP 5.5, 5.6 and 7.0.
Supported by PHP 7.1, 7.2, 7.3, 7.4, 8.0 and 8.1
This version can be added to an existing version, you will have the choice during the installation.

Download links in the first message.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 14, 2022 10:14AM

Hi,

- MariaDB 10.2.43 64 bit
- MariaDB 10.3.34 64 bit
- MariaDB 10.4.24 64 bit
- MariaDB 10.5.15 64 bit
- MariaDB 10.6.7 64 bit

See the first message for download links

All things are on https://wampserver.aviatechno.net/

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 15, 2022 05:07PM

Hi,

- MariaDB 10.7.3 64 bit

See the first message for download links

All things are on https://wampserver.aviatechno.net/



Edited 1 time(s). Last edit at 02/16/2022 02:13PM by RiggsFolly.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 16, 2022 04:40PM

Hi,

Update Aestan Tray Menu 3.2.4.4 (wampmanager.exe)

Digitally signed code.
Cached memory allocation for the ini file.
Sector loading of ini file.
Windows 11 stability fixes.
Minor bug fixes for Windows 7/8/8.1/10/11.

It is mandatory to update via the installer: Install Aestran Tray Menu 3.2.4.4

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 17, 2022 09:58AM

Hi,

- PHP 8.0.16 32 & 64bit
- PHP 8.1.3 32 & 64bit

See the first message for download links.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 17, 2022 11:57AM

Hi,


- Verify that all VC ++ packages are installed and with the latest versions.
To do this, use the tool:
Checks VC++ packages installed
Do not use a previously loaded tool. Make a new download to make sure you are using the correct version.
To download missing packages, do not rely on Microsoft links, they are not reliable, download packages on http://wampserver.aviatechno.net in section Visual C++ Redistribuable Packages
Do not forget that if you have a 64 bit Windows, you must install both 32 and 64 bit versions of each package.
You must install each package "as an administrator", so right-click the exe file and then run as Administrator.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: February 25, 2022 01:08PM

Hi,

- PHP 7.4.28 32 & 64bit

See the first message for download links.

Options: ReplyQuote
Re: WAMPServer 3 All you need to know
Posted by: Otomatic (Moderator)
Date: March 10, 2022 01:52PM

Hi,

---- Wampserver update 3.2.8
Updates only "Wampmanager", does not add any Apache PHP, MySQL or MariaDB versions. It is a cumulative update. It is not necessary to apply the old updates 3.0.1 to 3.2.7 before applying 3.2.8. There will be no changes to your Apache, PHP, MySQL, MariaDB settings and versions used; your local sites and databases will not be affected. This update is necessary to install the latest Apache, PHP, MySQL or MariaDB addons.

** Changelog
- Support fcgi_module Apache.
-- Possibility to have different versions of PHP for each VirtualHost
-- Add or suppress FCGI mode for each VirtualHost and Alias
-- Change PHP versions for each VirtualHost and Alias
- Fix minor bugs
- IP 'local link' support for projects on the homepage

Options: ReplyQuote
Pages: PreviousFirst...910111213141516171819Next
Current Page: 18 of 19


Sorry, you can't reply to this topic. It has been closed.